Subject: bug#20489: [Emacs-diffs] master d48e07a: * lisp/simple.el (next-error-find-buffer-function): New defcustom.

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Feb 2018 08:19:39 -0500

> Ah, before arriving to the function without body I mistakenly tried #'identity
> (that didn't work) whereas I actually intended to try #'ignore.

Should we provide the K combinator?

> But the question that I really don't understand is what to do with the
> function next-error-buffer-on-selected-frame that now will have no
> reference in code, no use by default.  How the users are supposed to
> know that it's possible to put add-function with this function in the
> init file?

Ah, so that's why you had a defcustom?  Then maybe having it be
a defcustom is a good idea.

        Stefan "to tell you the truth, I haven't bothered to look at the
                code to try to understand what these things are doing,
                so I have no opinion on whether it should be a defcustom
                or not, or if should be a function defcustom rather
                than, say, a boolean defcustom"